corda / net.corda.core.contracts / TransactionVerificationException / DuplicateInputStates

# DuplicateInputStates

`class DuplicateInputStates : TransactionVerificationException`

### Constructors

<init> | `DuplicateInputStates(tx: LedgerTransaction, duplicates: Set<StateRef>)`

### Properties

duplicates | `val duplicates: Set<StateRef>`

### Inherited Properties

tx | `val tx: LedgerTransaction`

### Functions

toString | `fun toString(): String`